org.osgi.service.resolver

## Interface HostedCapability

All Superinterfaces:
  org.osgi.resource.Capability

All Known Implementing Classes:
  WrappedCapability

    @ProviderType
    public interface HostedCapability
    extends org.osgi.resource.Capability

A capability hosted by a resource.

A HostedCapability is a Capability where the `getResource()` method returns a Resource that hosts this Capability instead of declaring it. This is necessary for cases where the declaring Resource of a Capability does not match the runtime state. For example, this is the case for fragments attached to a host. Most fragment declared capabilities and requirements become hosted by the host resource. Since a fragment can attach to multiple hosts, a single capability can actually be hosted multiple times.

Author:
  $Id: e6a6917f6cdb5021a7a5cf858a08a98677183606 $

### Method Summary

All Methods Instance Methods Abstract Methods
`org.osgi.resource.Capability` `getDeclaredCapability()` Return the Capability hosted by the Resource.
`org.osgi.resource.Resource` `getResource()` Return the Resource that hosts this Capability.

### Methods inherited from interface org.osgi.resource.Capability

`equals, getAttributes, getDirectives, getNamespace, hashCode`

### Method Detail

#### getResource

    org.osgi.resource.Resource getResource()

Return the Resource that hosts this Capability.

Specified by:
  `getResource` in interface `org.osgi.resource.Capability`
Returns:
  The Resource that hosts this Capability.

#### getDeclaredCapability

    org.osgi.resource.Capability getDeclaredCapability()

Return the Capability hosted by the Resource.

Returns:
  The Capability hosted by the Resource.